## oem-amd-i2c-hid-edge-falling-trigger-1580458-dkms 1.8

=== oem-amd-i2c-hid-edge-falling-trigger-1580458/Makefile ===
#
# Makefile for the I2C input drivers
#
KVER?= $(shell uname -r)

obj-m += i2c-hid.o

all:
	make -C /lib/modules/$(KVER)/build M=$(PWD) modules

clean:
	make -C /lib/modules/$(KVER)/build M=$(PWD) clean

=== debian/changelog ===
oem-amd-i2c-hid-edge-falling-trigger-1580458-dkms (1.8) xenial; urgency=medium

  * Conditional install gamora-amd-meta or turis-amd-meta.

 -- Cyrus Lien <cyrus.lien@canonical.com>  Tue, 17 Jan 2017 19:04:30 +0800

oem-amd-i2c-hid-edge-falling-trigger-1580458-dkms (1.7) xenial; urgency=medium

  * Pull gamora-amd-meta package.

 -- Cyrus Lien <cyrus.lien@canonical.com>  Tue, 17 Jan 2017 15:22:15 +0800

oem-amd-i2c-hid-edge-falling-trigger-1580458-dkms (1.6) xenial; urgency=medium

  * Fix typo.

 -- Cyrus Lien <cyrus.lien@canonical.com>  Thu, 27 Oct 2016 23:13:50 +0800

oem-amd-i2c-hid-edge-falling-trigger-1580458-dkms (1.5) xenial; urgency=medium

  * Add BUILD_EXCLUSIVE_KERNEL variable to build on 4.4 kernel only.

 -- Cyrus Lien <cyrus.lien@canonical.com>  Thu, 27 Oct 2016 21:43:13 +0800

oem-amd-i2c-hid-edge-falling-trigger-1580458-dkms (1.4) xenial; urgency=medium

  * Bump version.

 -- Cyrus Lien <cyrus.lien@canonical.com>  Fri, 02 Sep 2016 22:21:29 +0800

oem-amd-i2c-hid-edge-falling-trigger-1580458-dkms (1.3) xenial; urgency=medium

  * Add modaliase for turis-amd. 

 -- Cyrus Lien <cyrus.lien@canonical.com>  Fri, 02 Sep 2016 20:43:55 +0800

oem-amd-i2c-hid-edge-falling-trigger-1580458-dkms (1.2) xenial; urgency=medium

  * Set edge falling trigger to AMD GPIO controller. (LP: #1580458)

 -- Cyrus Lien <cyrus.lien@canonical.com>  Wed, 17 Aug 2016 11:33:58 +0800

=== debian/control ===
Source: oem-amd-i2c-hid-edge-falling-trigger-1580458-dkms
Section: misc
Priority: optional
Maintainer: Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7), dkms, dh-modaliases
Standards-Version: 3.8.1

Package: oem-amd-i2c-hid-edge-falling-trigger-1580458-dkms
Architecture: all
Depends: dkms (>= 1.95), ${misc:Depends}
Recommends: gamora-amd-meta
Description: oem-amd-i2c-hid-edge-falling-trigger-1580458 driver in DKMS format.
XB-Modaliases: ${modaliases}

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_NAME=oem-amd-i2c-hid-edge-falling-trigger-1580458
NAME=oem-amd-i2c-hid-edge-falling-trigger-1580458
VERSION=1.8

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/$(DEB_NAME)-dkms NAME=$(NAME) VERSION=$(VERSION) install

binary-arch: build install

binary-indep: build install
	dh_modaliases
	dh_testdir
	dh_testroot
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
